Browse Site by Tags

Showing related tags and posts accross the entire site.
  • Legacy Downloads

    We need QT ref capabilities so we're not ready to upgrade to 2020.4. When I go to Media Composer Perpetual in my account there is no legacy downloads. I have to have version 2019.12. Where can I find this?
    Posted to Media Composer | First Forum (Forum) by toonzcutter on Mon, May 11 2020
  • Media Composer First - Previous Version

    Hi Please, can someone point me to the Download for Media Composer First 2018? I've scoured the Avid website, my account page etc etc, can't seem to find it anywhere. Thanks in advance. M
    Posted to Media Composer | First Forum (Forum) by mmeredith on Thu, Sep 19 2019
  • Legacy P2 AMA Plugins

    Hi, I don't seem to be able to find a compatible P2 AMA plugin for MC 8.1. I can download V4.4 and V4.5 which cover MC 8.4 onwards or I can download V2.6 which is too old for my MC 8.1. Looking at the compatilibily chart I think I need V4.2. Any help would be greatly apprciated. Leigh
    Posted to Avid Media Composer - Mac (Forum) by Leigh on Thu, Jan 7 2016
  • Re: Mojo capture issue in MC5.5.3

    It has been working fine a long time. It's the first time I've done any analog video capture from the Mojo with MC as I only tend to use it when colour correcting, downconverting the HD to SD for viewing on a CRT. I've always had the drivers on legacy mode but I suspect when I was trying...
    Posted to Avid Media Composer - PC (Forum) by mtahir on Wed, Jun 26 2013
Page 1 of 1 (4 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller